const useSortedPropertyNames = (e, t) => {
	let n = e ? Object.keys(e) : [];
	return t?.length && (n = [...t.filter((e) => n.includes(e)), ...n.filter((e) => !t.includes(e))]), n;
};
export { useSortedPropertyNames };
